## xfaces 3.3

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.65 91/07/25 17:50:17 rws Exp $
#
# The cpp used on this machine replaces all newlines and multiple tabs and
# spaces in a macro expansion with a single space.  Imake tries to compensate
# for this, but is not always successful.
#

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.a04025>
# $XConsortium: Imake.tmpl,v 1.139 91/09/16 08:52:48 rws Exp $
#
# Platform-specific parameters may be set in the appropriate <vendor>.cf
# configuration files.  Site-specific parameters should be set in the file
# site.def.  Full rebuilds are recommended if any parameters are changed.
#
# If your C preprocessor does not define any unique symbols, you will need
# to set BOOTSTRAPCFLAGS when rebuilding imake (usually when doing
# "make World" the first time).
#

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def,v 1.2 91/07/30 20:26:44 rws Exp $

# -------------------------------------------------------------------------
# platform-specific configuration parameters - edit sun.cf to change

# platform:  $XConsortium: sun.cf,v 1.72.1.1 92/03/18 13:13:37 rws Exp $

# operating system:  SunOS 4.1.1

# $XConsortium: sunLib.rules,v 1.7 91/12/20 11:19:47 rws Exp $

.c.o:
	$(CC) -c $(CFLAGS) $*.c

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def,v 1.2 91/07/30 20:26:44 rws Exp $

            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc -fstrength-reduce -fpcc-struct-return
               AS = as

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -fstrength-reduce -fpcc-struct-return -E $(STD_CPP_DEFINES)
          INSTALL = install
               LD = ld
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn
     STD_INCLUDES =
  STD_CPP_DEFINES =
      STD_DEFINES =
 EXTRA_LOAD_FLAGS = -B/usr/bin/
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF = -DSHAREDCODE
         SHLIBDEF = -DSUNSHLIB

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -g kmem -m 2755

      PROJECTROOT = /usr/X11R5

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)

           LDLIBS = $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS) $(LOCAL_LDFLAGS) -L$(USRLIBDIR)

   LDCOMBINEFLAGS = -X -r
      DEPENDFLAGS =

        MACROFILE = sun.cf
           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Imake.rules \
			$(IRULESRC)/Project.tmpl $(IRULESRC)/site.def \
			$(IRULESRC)/$(MACROFILE) $(EXTRA_ICONFIGFILES)

# -------------------------------------------------------------------------
# X Window System Build Parameters
# $XConsortium: Project.tmpl,v 1.138.1.1 92/11/11 09:49:19 rws Exp $

# -------------------------------------------------------------------------
# X Window System make variables; this need to be coordinated with rules

          PATHSEP = /
        USRLIBDIR = /usr/X11R5/lib
           BINDIR = /usr/X11R5/bin
          INCROOT = /usr/X11R5/include
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
        CONFIGDIR = $(LIBDIR)/config
       LINTLIBDIR = $(USRLIBDIR)/lint

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
          MANPATH = /usr/X11R5/man
    MANSOURCEPATH = $(MANPATH)/man
        MANSUFFIX = n
     LIBMANSUFFIX = 3
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSUFFIX)
           NLSDIR = $(LIBDIR)/nls
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

            IMAKE = imake
           DEPEND = makedepend
              RGB = rgb

            FONTC = bdftopcf

        MKFONTDIR = mkfontdir
        MKDIRHIER = /bin/sh $(BINDIR)/mkdirhier

        CONFIGSRC = $(TOP)/config
       DOCUTILSRC = $(TOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/server
          UTILSRC = $(TOP)/util
        SCRIPTSRC = $(UTILSRC)/scripts
       EXAMPLESRC = $(TOP)/examples
       CONTRIBSRC = $(TOP)/../contrib
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/rgb
        DEPENDSRC = $(UTILSRC)/makedepend
         IMAKESRC = $(CONFIGSRC)
         XAUTHSRC = $(LIBSRC)/Xau
          XLIBSRC = $(LIBSRC)/X
           XMUSRC = $(LIBSRC)/Xmu
       TOOLKITSRC = $(LIBSRC)/Xt
       AWIDGETSRC = $(LIBSRC)/Xaw
       OLDXLIBSRC = $(LIBSRC)/oldX
      XDMCPLIBSRC = $(LIBSRC)/Xdmcp
      BDFTOSNFSRC = $(FONTSRC)/bdftosnf
      BDFTOSNFSRC = $(FONTSRC)/clients/bdftosnf
      BDFTOPCFSRC = $(FONTSRC)/clients/bdftopcf
     MKFONTDIRSRC = $(FONTSRC)/clients/mkfontdir
         FSLIBSRC = $(FONTSRC)/lib/fs
    FONTSERVERSRC = $(FONTSRC)/server
     EXTENSIONSRC = $(TOP)/extensions
         XILIBSRC = $(EXTENSIONSRC)/lib/xinput
        PEXLIBSRC = $(EXTENSIONSRC)/lib/PEXlib
      PHIGSLIBSRC = $(EXTENSIONSRC)/lib/PEX

# $XConsortium: sunLib.tmpl,v 1.14.1.2 92/11/11 09:55:02 rws Exp $

SHLIBLDFLAGS = -assert pure-text
PICFLAGS = -pic

  DEPEXTENSIONLIB =
     EXTENSIONLIB = -lXext

          DEPXLIB = $(DEPEXTENSIONLIB)
             XLIB = $(EXTENSIONLIB) -lX11

        DEPXMULIB = $(USRLIBDIR)/libXmu.sa.$(SOXMUREV)
       XMULIBONLY = -lXmu
           XMULIB = -lXmu

       DEPOLDXLIB =
          OLDXLIB = -loldX

      DEPXTOOLLIB = $(USRLIBDIR)/libXt.sa.$(SOXTREV)
         XTOOLLIB = -lXt

        DEPXAWLIB = $(USRLIBDIR)/libXaw.sa.$(SOXAWREV)
           XAWLIB = -lXaw

        DEPXILIB =
           XILIB = -lXi

        DEPPEXLIB =
           PEXLIB = -lPEX5

        SOXLIBREV = 4.10
          SOXTREV = 4.10
         SOXAWREV = 5.0
        SOOLDXREV = 4.10
         SOXMUREV = 4.10
        SOXEXTREV = 4.10
      SOXINPUTREV = 4.10
         SOPEXREV = 1.0

      DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
         XAUTHLIB =  -lXau
      DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
         XDMCPLIB =  -lXdmcp

        DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
           PHIGSLIB =  -lphigs

       DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
          XBSDLIB =  -lXbsd

 LINTEXTENSIONLIB = $(LINTLIBDIR)/llib-lXext.ln
         LINTXLIB = $(LINTLIBDIR)/llib-lX11.ln
          LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln
        LINTXTOOL = $(LINTLIBDIR)/llib-lXt.ln
          LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln
           LINTXI = $(LINTLIBDIR)/llib-lXi.ln
          LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln
        LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

# -------------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.123 91/09/16 20:12:16 rws Exp $

# -------------------------------------------------------------------------
# start of Imakefile

#
#		 Copyright 1994 Christopher B. Liebman
#
#     Permission to use, copy, modify, distribute, and sell this software
#     and its documentation for any purpose is hereby granted without fee,
#     provided that the above copyright notice appear in all copies and that
#     both that copyright notice and this permission notice appear in
#     supporting documentation, and that the name Christopher B. Liebman not
#     be used in advertising or publicity pertaining to distribution of this
#     software without specific, written prior permission.
#
#    THIS SOFTWARE IS PROVIDED `AS-IS'.  CHRISTOPHER B. LIEBMAN, DISCLAIMS
#    ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT
#    LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
#    PARTICULAR PURPOSE, OR NONINFRINGEMENT.  IN 0 EVENT SHALL CHRISTOPHER
#    B. LIEBMAN, BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING SPECIAL,
#    INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA, OR
#    PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF
#    WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT OF
#    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
#
# $Id: Imakefile,v 1.41 1994/03/08 02:40:38 liebman Exp $
#
#    Makefile for XFaces.
#

#
#  For debugging.
#
#	-DBINDING_DEBUG
#	-DFACEDB_DEBUG
#	-DPOP_DEBUG
#	-DRESOURCE_DEBUG
#	-DSEARCH_DEBUG
#	-DITEM_DEBUG
#	-DLOOKUP_DEBUG
#
#CDEBUGFLAGS= -Wall -g
#CDEBUGFLAGS= -g

XFACE_SRCS	= face_search_xface.c face_image_xface.c
XFACE_OBJS	= face_search_xface.o face_image_xface.o
XFACE_DEFS	= -DXFACE
#XFACE_LIBS	= -L../compface -lcompface
XFACE_LIBS	= -L/usr/local/lib -lcompface

XPM_SRCS	= face_image_xpm.c
XPM_OBJS	= face_image_xpm.o
XPM_INCL	=
#XPL_INCL	= -I/usr/xpm/include
XPM_LIBS	= -lXpm
#XPM_LIBS	= -L/usr/xpm/lib -lXpm
XPM_DEFS	= -DXPM

SOUND_SRCS	= face_sound.c
SOUND_OBJS	= face_sound.o
SOUND_INCL	=
#SOUND_INCL	= -I/usr/audio/include
SOUND_LIBS	= -laudio
#SOUND_LIBS	= -L/usr/audio/lib -laudio

SOUND_DEFS	= -DSOUND -DUSE_BUCKETS

SHAPE_SRCS	= face_shape.c
SHAPE_OBJS	= face_shape.o
SHAPE_INCL	=
SHAPE_LIBS	=
SHAPE_DEFS	= -DSHAPE

POP_SRCS	= pop_check.c
POP_OBJS	= pop_check.o
POP_INCL	=
POP_LIBS	=
POP_DEFS	= -DPOP

LHN_SRCS	=
LHN_OBJS	=
LHN_INCL	=
LHN_LIBS	=
LHN_DEFS	= -DLOOKUP_HOSTNAME

XFACES_VERSION_TAG=

HDRS	= Tiled.h \
	  TiledP.h \
	  faces.h \
	  face_command.h \
	  face_image.h \
	  face_search.h \
	  face_sound.h \
	  patchlevel.h \
	  regexp.h \
	  regmagic.h \
	  $(XFACE_HDRS)

SRCS	= Tiled.c \
	  cmd_check.c \
	  face_actions.c \
	  face_annotate.c \
	  face_binding.c \
	  face_command.c \
	  face_display.c \
	  face_image.c \
	  face_image_xbm.c \
	  face_search.c \
	  face_search_binding.c \
	  face_search_facedb.c \
	  face_search_resource.c \
	  face_search_uh.c \
	  mail_box.c \
	  mail_body.c \
	  mail_check.c  \
	  mail_file.c \
	  mail_header.c \
	  mail_items.c  \
	  mail_parse.c \
	  main.c \
	  path.c \
	  regexp.c \
	  regsub.c \
	  string.c \
	  $(SOUND_SRCS) $(XPM_SRCS) $(SHAPE_SRCS) $(XFACE_SRCS) $(POP_SRCS) \
	  $(LHN_OBJS)

OBJS	= Tiled.o \
	  cmd_check.o \
	  face_actions.o \
	  face_annotate.o \
	  face_binding.o \
	  face_command.o \
	  face_display.o \
	  face_image.o \
	  face_image_xbm.o \

=== debian/changelog ===
xfaces (3.3-30.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (closes: #1007600)

 -- Bastian Germann <bage@debian.org>  Wed, 20 Aug 2025 17:41:50 +0200

xfaces (3.3-30.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089474)
  * Run `dpkg-gencontrol` a bit later to ensure the
    Installed-Size is correct.

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 09:14:02 +0000

xfaces (3.3-30.1) unstable; urgency=high

  * Non-maintainer upload
  * Drop suspicious 1 and alla.db files (closes: #1049887)

 -- Bastian Germann <bage@debian.org>  Tue, 26 Mar 2024 12:22:11 +0000

xfaces (3.3-30) unstable; urgency=low

  * Add some missing includes (closes: #1066259)

 -- Hakan Ardo <hakan@debian.org>  Fri, 22 Mar 2024 13:51:46 +0100

xfaces (3.3-29) unstable; urgency=low

  * Migrate to debhelper compat level 9 (closes: #800191)
  * Build using dpkg-buildflags
  * Applied patch by Chris Lamb <lamby@debian.org> to removes timestamps
    and thereby make xfaces build reproducibly (closes: #777063)

 -- Hakan Ardo <hakan@debian.org>  Wed, 18 Nov 2015 21:44:41 +0100

xfaces (3.3-28) unstable; urgency=low

  * Renamed debian/patches to debian/patcheslist (closes: #538681)
  * Removed builddep on rman (closes: #492133)

 -- Hakan Ardo <hakan@debian.org>  Sun, 21 Feb 2010 11:29:27 +0100

xfaces (3.3-27) unstable; urgency=low

  * Replaced buildep on x-dev with x11proto-core-dev (closes: #515472)
  * Added buildep xutils-dev (closes: #527507)
  * Removed buildep on xutils

 -- Hakan Ardo <hakan@debian.org>  Mon, 08 Jun 2009 14:56:53 +0200

xfaces (3.3-26) unstable; urgency=low

  * Applied patch from Aaron M. Ucko <ucko@debian.org> fixing X11R7
    transaction

 -- Hakan Ardo <hakan@debian.org>  Sun, 30 Apr 2006 09:58:38 +0200

xfaces (3.3-25) unstable; urgency=low

  * Applied patch from Justin Pryzby <justinpryzby@users.sf.net> that
    updates build-deps for xlibs-dev removal; closes: #346812.

 -- Hakan Ardo <hakan@debian.org>  Wed, 18 Jan 2006 07:59:16 +0100

xfaces (3.3-24) unstable; urgency=low

  * Rebuilt with correct xlibs (closes: #301154)
  * Proper file premitions now generated

 -- Hakan Ardo <hakan@debian.org>  Fri, 25 Mar 2005 11:49:06 +0100

xfaces (3.3-22) unstable; urgency=low

  * Applied patch from Sam Vilain <sam@vilain.net> making xfaces use TOP
    POP3 command instead of RETR (closes: #261454)
  * Fixed manpage section in .TH header
  * Added section and priority fileds to binary package

 -- Hakan Ardo <hakan@debian.org>  Sat, 19 Mar 2005 16:39:06 +0100

xfaces (3.3-21) unstable; urgency=low

  * Applied patch-robh fixing useContentLength resource
  * New picons path in app-defaults
  * Improved description layout (closes: #164275)
  * Changed builddepnd of libxaw to libxaw7-dev (closes: #170009)
  * Now checks for new mail on Button2Up instead of Button2Down, patch
    by  Neil Brown <neilb@cse.unsw.edu.au>, (closes: #191354)
  * Removed some copyrighted images (closes: #204490)
  * No more usr/doc link
  * Bin now striped
  * Fixed typos in copyright

 -- Hakan Ardo <hakan@debian.org>  Sun, 10 Aug 2003 13:42:42 +0200

xfaces (3.3-20) unstable; urgency=low

  * Added NMU patch

 -- Hakan Ardo <hakan@debian.org>  Sun,  9 Feb 2002 12:58:07 +0200

xfaces (3.3-19.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make /etc/X11/app-defaults/XFaces a conffile (closes: #132093).
  * Clean debian/substvars.

 -- Colin Watson <cjwatson@debian.org>  Sat,  9 Feb 2002 00:04:36 +0000

xfaces (3.3-19) unstable; urgency=low

  * Added xutils to build dependencies (Bug#88732)

 -- Hakan Ardo <hakan@debian.org>  Tue,  6 Mar 2001 15:06:09 +0100

xfaces (3.3-18) unstable; urgency=low

  * Added Build-Depends
  * Now builds with -O3 instaed of -g

 -- Hakan Ardo <hakan@debian.org>  Fri,  2 Mar 2001 18:27:29 +0100

xfaces (3.3-17) unstable; urgency=low

  * app-delafuts moved to /etc (Bug#78198)

 -- Hakan Ardo <hakan@debian.org>  Sat, 30 Dec 2000 15:40:11 +0100

xfaces (3.3-16) unstable; urgency=low

  * Source pkg now chmods postinst and prerm executable (Bug #69100)

 -- Hakan Ardo <hakan@debian.org>  Sun, 29 Oct 2000 13:22:20 +0100

xfaces (3.3-15) unstable; urgency=low

  * Recompiled to updated dependency on xpm4g to libxpm4 (Bug #67947)
  * Moved docs to /usr/share

 -- Hakan Ardo <hakan@debian.org>  Mon,  7 Aug 2000 19:08:57 +0200

xfaces (3.3-14) unstable; urgency=low

  * Reuploded, now with .orig and diff file (Bug #44230)

 -- Hakan Ardo <hakan@debian.org>  Mon,  7 Aug 2000 18:49:08 +0200

xfaces (3.3-13) unstable; urgency=low

  * xpm images are now displayed shaped too (Bug #21199)
  * Dependency on picons downgraded to a suggestion (Bug #24615)
  * Applied Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de> patch 
    which fixes (Bug #24122):
    + Need to re-run imake before building, because Makefile included in
      package still linked with libXExExt which doesn't exist anymore.
    + Don't copy debian/conffiles unconditionally, because it doesn't exist
      in the current source tree. I've seen that conffiles is empty in the
      i386 .deb, so create an empty file for it.

 -- Hakan Ardo <hakan@debian.org>  Thu,  2 Jul 1998 19:10:27 +0200

xfaces (3.3-12) unstable; urgency=low

  * Walked through the checklist and undated the Standards-Version to 2.4.0.0
  * The xfaces binary is now striped
  * Applied Richard Braakman <dark@xs4all.nl>'s fixes to the package 
    description (Bug #19002)

 -- Hakan Ardo <hakan@debian.org>  Wed, 11 Mar 1998 18:57:58 +0100

xfaces (3.3-11) unstable; urgency=low

  * Man page now compressed
  * Leading spaces in description removed
  * Now has /var/spool/main as default maildir (Bug #18050)

 -- Hakan Ardo <hakan@debian.org>  Sat, 21 Feb 1998 19:33:07 +0100

xfaces (3.3-10) unstable; urgency=low

  * Recompiled with the fixed version of libcompface to remove libc5 
    dependencis (Bug #14803, #16688)



=== debian/control ===
Source: xfaces
Section: mail
Priority: optional
Maintainer: Hakan Ardo <hakan@debian.org>
Rules-Requires-Root: no
Standards-Version: 3.9.6
Build-Depends: libxext-dev, libxmu-dev, libxpm-dev, libxt-dev, xutils-dev, x11proto-core-dev, libxaw7-dev, nas-dev, libcompfaceg1-dev, debhelper (>=9)

Package: xfaces
Section: mail
Priority: optional
Architecture: any
Suggests: picons
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Displays an image for each piece of mail in your mailbox
 XFaces is a program that will display an image for each
 piece of mail in your mail box. This lets you know at a
 glance who you have mail from. XFaces starts out (when you
 have no mail) looking like a color xbiff. As you receive
 mail XFaces becomes a column of mail images. Some of XFaces
 features:
  - Both mono and color images.
  - Optional Shaped window support with both xpm and xbm.
  - Sound support using the NetAudio protocol. The NetAudio server
    currently supports Sun's SparcStation (SunOS 4.1.X and Solaris
    2.2), SGI's Indigo and NCD MCX X terminals running NCDware 3.1 or
    later.
  - Face images can be "compressed" so that each image will only show
    up once on your display. This way, if you receive 30 messages from
    one user, list or whatever the image will only show up once.
  - You can use regular expressions to search any headers to choose
    images and sounds or ignore that mail message completely. This
    lets you specify an image/sound for mail that comes from a mailing
    list or ignore mail that you have already seen but left in your
    system mailbox.
  - Compatibility support for Rich Burridge's faces program. This
    includes the ability to run user command to generate the image
    list.
  - Support for POP mailboxes.
  - XFaces can kick off shell commands based upon mailbox contents.
    You could have yourself paged when a high priority item needs your
    attention.
  - XFaces can run external filters to convert images into Xpm so that
    image formats that XFaces does not understand can be used.
  - The annotations for mail items include username, hostname, count,
    user@host, the contents of any header.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=xfaces

build:
	$(checkdir)
	touch build

build-arch: build
build-indep: build

clean:
	$(checkdir)
	-rm -f build
	$(MAKE) clean 
	-rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars
	dh_clean

binary-indep:	build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	install -d debian/tmp/usr/bin
	install -d debian/tmp/usr/share/man/man1
	install -d debian/tmp/etc/X11/app-defaults
	install -d debian/tmp/usr/share/xfaces/images
	cp -a Makefile debian/
	xmkmf
	sed -i -e 's/           CFLAGS = /override CFLAGS += /' Makefile
	sed -i -e 's/        LDOPTIONS = /        LDOPTIONS = $$(LDFLAGS) /' Makefile
	$(MAKE) $(shell dpkg-buildflags --export=cmdline) all
	cp xfaces debian/tmp/usr/bin/xfaces
	strip debian/tmp/usr/bin/xfaces
	install -m0644 XFaces.ad debian/tmp/etc/X11/app-defaults/XFaces
	install -m0644 xfaces.man debian/tmp/usr/share/man/man1/xfaces.1x
	gzip -9vn debian/tmp/usr/share/man/man1/xfaces.1x
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	cp debian/patcheslist debian/tmp/usr/doc/$(package)/.
	cp images/* debian/tmp/usr/share/xfaces/images
	chmod 0644 debian/tmp/usr/share/xfaces/images/*
	if [ -f debian/conffiles ]; then \
		cp debian/conffiles debian/tmp/DEBIAN; \
	else \
		touch debian/tmp/DEBIAN/conffiles; \
	fi
	cp README TODO CHANGES CREDITS debian/tmp/usr/doc/$(package)/
	cp ChangeLog  debian/tmp/usr/doc/$(package)/changelog
	gzip -9vn debian/tmp/usr/doc/$(package)/*
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	chmod 0644 debian/tmp/usr/doc/$(package)/*
	dpkg-shlibdeps xfaces
	dh_strip
	chmod -R g-ws debian/tmp
	mv debian/tmp/usr/doc debian/tmp/usr/share
	cp debian/prerm debian/tmp/DEBIAN
	chmod 755 debian/tmp/DEBIAN/prerm
	dpkg-gencontrol -isp
	dpkg-deb --root-owner-group --build debian/tmp ..
	mv debian/Makefile .

define checkdir
	test -f face_actions.c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean

## xfaces 3.3-13

=== Makefile ===
# Makefile generated by imake - do not edit!
# $TOG: imake.c /main/97 1997/06/20 20:23:51 kaleb $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.a04783>
# $TOG: Imake.tmpl /main/245 1997/05/20 10:05:47 kaleb $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.32.2.8 1998/02/08 11:19:24 dawes Exp $
# Debian: changed InstIncFlags, InstManFlags, InstDatFlags from 0444 to 0644
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $TOG: Imake.cf /main/28 1997/06/25 08:31:36 barstow $
# $XFree86: xc/config/cf/Imake.cf,v 3.34.2.4 1998/05/22 16:38:18 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/revisionist/4 1996/12/31 08:02:07 kaleb $
# site:  $XFree86: xc/config/cf/site.def,v 3.17.2.1 1997/06/22 10:32:21 dawes Exp $
# Debian: added define TermcapLibrary -lncurses

# $XFree86: xc/config/cf/xf86site.def,v 3.101.2.15 1998/02/24 19:05:42 hohndel Exp $
# Debian: define HasTk 1
#         changed TkLibDir, TkIncDir, TkLibName
#         define HasTcl 1
#         changed TclLibDir, TclIncDir, TclLibName
#         define XserverNeedsSetUID 0
#         define JoystickSupport 1 (except for m68k)
#         define WacomSupport 1
#         define ElographicsSupport 1
#         define SummaSketchSupport 1
#         define BuildDynamicLoading 1
#         define ForceNormalLib 1

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $TOG: linux.cf /main/36 1997/06/16 22:21:03 kaleb $
# platform:  $XFree86: xc/config/cf/linux.cf,v 3.57.2.12 1998/03/01 01:57:10 dawes Exp $
# Debian: added -D_REENTRANT to StandardDefines
#         added define SetTtyGroup 1
#         added define HasZlib 1

# operating system:  Linux 2.0.35 i586 [ELF] (2.0.35)
# libc:	(6.0.7)
# binutils:	(29)

# $XConsortium: lnxLib.rules /main/13 1996/09/28 16:11:01 rws $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.28.2.3 1997/06/22 10:32:20 dawes Exp $
# Debian: define BaseShLibReqs -lc, argument below
#         added -lc to SharedLibraryLoadFlags
#         removed ExtraLoadFlags

# $XFree86: xc/config/cf/xfree86.cf,v 3.129.2.22 1998/02/24 19:05:43 hohndel Exp $

# $XConsortium: xfree86.cf /main/34 1996/12/06 11:45:18 rws $

LINKKITDIR = $(USRLIBDIR)/Server
XF98LINKKITDIR = $(USRLIBDIR)/Server

       XF86SRC = $(SERVERSRC)/hw/xfree86
  XF86ACCELSRC = $(XF86SRC)/accel
    XF86COMSRC = $(XF86SRC)/common
 XF86CONFIGSRC = $(XF86COMSRC)
     XF86HWSRC = $(XF86SRC)/common_hw
     XF86OSSRC = $(XF86SRC)/os-support
  VGADRIVERSRC = $(XF86SRC)/vga256/drivers
VGA16DRIVERSRC = $(XF86SRC)/vga16/drivers
 VGA2DRIVERSRC = $(XF86SRC)/vga2/drivers
 MONODRIVERSRC = $(XF86SRC)/mono/drivers
   S3DRIVERSRC = $(XF86SRC)/accel/s3/drivers
  S3VDRIVERSRC = $(XF86SRC)/accel/s3_virge/drivers

       XF68SRC = $(SERVERSRC)/hw/xfree68
    XF68COMSRC = $(XF68SRC)/common
 XF68CONFIGSRC = $(XF68COMSRC)
     XF68OSSRC = $(XF68SRC)/os-support

           XF98SRC = $(SERVERSRC)/hw/xfree98
      XF98ACCELSRC = $(XF98SRC)/accel
        XF98COMSRC = $(XF98SRC)/common
     XF98CONFIGSRC = $(XF98COMSRC)
         XF98HWSRC = $(XF98SRC)/common_hw/generic
      XF98HWNECSRC = $(XF98SRC)/common_hw/nec
    XF98HWPWSKBSRC = $(XF98SRC)/common_hw/pwskb
     XF98HWPWLBSRC = $(XF98SRC)/common_hw/pwlb
    XF98HWGA968SRC = $(XF98SRC)/common_hw/ga968
         XF98OSSRC = $(XF98SRC)/os-support
  XF98VGADRIVERSRC = $(XF98SRC)/vga256/drivers
XF98VGA16DRIVERSRC = $(XF98SRC)/vga16/drivers
 XF98VGA2DRIVERSRC = $(XF98SRC)/vga2/drivers
 XF98MONODRIVERSRC = $(XF98SRC)/mono/drivers
XF98NECS3DRIVERSRC = $(XF98SRC)/accel/s3nec/drivers
XF98PWSKBDRIVERSRC = $(XF98SRC)/accel/s3pwskb/drivers
 XF98PWLBDRIVERSRC = $(XF98SRC)/accel/s3pwlb/drivers
XF98GA968DRIVERSRC = $(XF98SRC)/accel/s3ga968/drivers

        XFREE86DOCDIR = $(LIBDIR)/doc
      XFREE86PSDOCDIR = $(XFREE86DOCDIR)/PostScript
    XFREE86HTMLDOCDIR = $(XFREE86DOCDIR)/html
XFREE86JAPANESEDOCDIR = $(XFREE86DOCDIR)/Japanese

# $XConsortium: xf86.rules /main/9 1996/10/31 14:54:26 kaleb $
# $XFree86: xc/config/cf/xf86.rules,v 3.16.2.1 1997/05/18 12:00:01 dawes Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/revisionist/4 1996/12/31 08:02:07 kaleb $
# site:  $XFree86: xc/config/cf/site.def,v 3.17.2.1 1997/06/22 10:32:21 dawes Exp $
# Debian: added define TermcapLibrary -lncurses

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $TOG: Imake.rules /main/222 1997/07/17 20:04:40 kaleb $
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.33.2.7 1998/02/06 09:02:17 dawes Exp $

 _NULLCMD_ = @ echo -n

TKLIBNAME = tk8.0

TKLIBDIR = /usr/lib

TCLLIBNAME = tcl8.0

TCLIBDIR = /usr/lib

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
    EXPORTLISTGEN =
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
        VARLIBDIR = /var/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cc

              CXX = c++
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -O2 -fno-strength-reduce
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE=500L -D_BSD_SOURCE -D_SVID_SOURCE -D_REENTRANT $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES) $(DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = psroff
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE=500L -D_BSD_SOURCE -D_SVID_SOURCE -D_REENTRANT $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE=500L -D_BSD_SOURCE -D_SVID_SOURCE -D_REENTRANT $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0644
     INSTMANFLAGS = -m 0644
     INSTDATFLAGS = -m 0644
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -O2 -fno-strength-reduce
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

# Not sure this belongs here
         TKLIBDIR = /usr/lib
         TKINCDIR = /usr/include/tk
        TKLIBNAME = tk8.0
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR = /usr/lib
        TCLINCDIR = /usr/include/tcl
       TCLLIBNAME = tcl8.0
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $TOG: X11.rules /main/4 1997/04/30 15:23:24 kaleb $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $TOG: X11.tmpl /main/292 1997/05/20 10:05:59 kaleb $
#
#
#
#
# $XFree86: xc/config/cf/X11.tmpl,v 1.8.2.4 1998/01/23 12:35:08 dawes Exp $
# Debian: added clean target

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(TOP)
           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
           INCDIR = $(INCROOT)
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
   TOP_X_INCLUDES = -I$(XPROJECTROOT)/include

           VARDIR = /var/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
        XDMVARDIR = $(VARLIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      LBXPROXYDIR = $(LIBDIR)/lbxproxy
  PROXYMANAGERDIR = $(LIBDIR)/proxymngr
        XPRINTDIR = $(LIBDIR)
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(XTOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t

=== debian/control ===
Source: xfaces
Section: mail
Priority: optional
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 2.4.0.0

Package: xfaces
Architecture: any
Suggests: picons
Depends: ${shlibs:Depends}
Description: Displays an image for each piece of mail in your mailbox.
 XFaces is a program that will display an image for each
 piece of mail in your mail box. This lets you know at a
 glance who you have mail from. XFaces starts out (when you
 have no mail) looking like a color xbiff. As you receive
 mail XFaces becomes a column of mail images. Some of XFaces
 features:
 .
 - Both mono and color images.
 .
 - Optional Shaped window support with both xpm and xbm.
 .
 - Sound support using the NetAudio protocol. The NetAudio server
 currently supports Sun's SparcStation (SunOS 4.1.X and Solaris 2.2),
 SGI's Indigo and NCD MCX X terminals running NCDware 3.1 or later.
 .
 - Face images can be "compressed" so that each image will only
 show up once on your display. This way, if you receive 30 messages
 from one user, list or whatever the image will only show up once.
 .
 - You can use regular expressions to search any headers to choose
 images and sounds or ignore that mail message completely. This
 lets you specify an image/sound for mail that comes from a
 mailing list or ignore mail that you have already seen but
 left in your system mailbox.
 .
 - Compatibility support for Rich Burridge's faces program. This
 includes the ability to run user command to generate the image
 list.
 .
 - Support for POP mailboxes.
 .
 - XFaces can kick off shell commands based upon mailbox
 contents.  You could have yourself paged when a high priority
 item needs your attention.
 .
 - XFaces can run external filters to convert images into Xpm
 so that image formats that XFaces does not understand can
 be used.
 .
 - The annotations for mail items include username, hostname,
 count, user@host, the contents of any header.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=xfaces

build:
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i clean 
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	install -d debian/tmp/usr/X11R6/bin
	install -d debian/tmp/usr/X11R6/man/man1
	install -d debian/tmp/usr/X11R6/lib/X11/app-defaults
	install -d debian/tmp/usr/X11R6/lib/X11/xfaces/images
	xmkmf
	$(MAKE) all
	cp xfaces debian/tmp/usr/X11R6/bin/xfaces
	strip debian/tmp/usr/X11R6/bin/xfaces
	cp XFaces.ad debian/tmp/usr/X11R6/lib/X11/app-defaults/XFaces
	cp xfaces.man debian/tmp/usr/X11R6/man/man1/xfaces.1x
	gzip -9v debian/tmp/usr/X11R6/man/man1/xfaces.1x
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	cp debian/patches debian/tmp/usr/doc/$(package)/.
	cp images/* debian/tmp/usr/X11R6/lib/X11/xfaces/images
	if [ -f debian/conffiles ]; then \
		cp debian/conffiles debian/tmp/DEBIAN; \
	else \
		touch debian/tmp/DEBIAN/conffiles; \
	fi
	cp README TODO CHANGES CREDITS ChangeLog debian/tmp/usr/doc/$(package)/
	gzip -9v debian/tmp/usr/doc/$(package)/*
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	dpkg-shlibdeps xfaces
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f face_actions.c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
